Skip to main content
GET
/
v1
/
pages
/
{pageId}
/
keywords
List keywords for a page
curl --request GET \
  --url https://api.example.com/v1/pages/{pageId}/keywords \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "analysisStatus": "queued",
      "analyzed": true,
      "clicks": 123,
      "createdAt": "<string>",
      "ctr": 123,
      "focusPrompt": {
        "id": "<string>",
        "prompt": "<string>"
      },
      "id": "<string>",
      "impressions": 123,
      "isCannibalized": true,
      "keyword": "<string>",
      "keywordDifficulty": 123,
      "position": 123,
      "searchVolume": 123,
      "source": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.semji.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_. Generate one in Settings > API Keys.

Path Parameters

pageId
string
required

Page ID.

Response

200 - application/json

Default Response

data
object[]
required